getseuserbyname(3)

NAME
getseuserbyname - get SELinux username and level for a given Linux username

SYNOPSIS
#include <selinux/selinux.h>

int getseuserbyname(const char *linuxuser, char **selinuxuser, char **level);

DESCRIPTION
getseuserbyname() retrieves the SELinux username and security level associated with a given Linux username. The SELinux username and security level can then be passed to other libselinux functions such as get_ordered_context_list_with_level(3) and get_default_context_with_level(3).

The returned SELinux username and level should be freed by the caller using free.

RETURN VALUE
On success, 0 is returned. On failure, -1 is returned and errno is set appropriately.

The errors documented for the stat(2) system call are also applicable here.

SEE ALSO
selinux(8)